if (typeof androidJavascriptInjected  === 'undefined') {  
	androidJavascriptInjected = true;

    window.addEventListener('click',function(event){
		var node = event.target;
		var tagName = event.target.tagName;
		while (node.tagName !== 'A' && node !== document) {
			node = node.parentNode;
		}
		if (node.tagName === 'A') {
			window.JSInterface.checkNetwork();
		}
	},false);
	
	
	function appNativeLog(msg){
		window.JSInterface.appNativeLog(msg);	
	}
	
	function appNativeError(msg, error, url){
    	window.JSInterface.appNativeError(msg, error, url);
	}
	
	function appNativeBridge(command, param) {
    	window.JSInterface.appNativeBridge(command, param);
	}
	
	function appNativeOnExit() {
    	window.JSInterface.appNativeOnExit();
	}
	
	
	function goBack(){
    	window.JSInterface.goBack();
	}
	
	
	/* TRAZAS */
	function appNativeOnTrace(msg){
		window.JSInterface.appNativeOnTrace(msg);
	}
	
	
	
	function bkResourcesLoadedOk(){
    	window.JSInterface.bkResourcesLoadedOk();
	}
	
	
	function bkResourcesLoadedErr(){
    	window.JSInterface.bkResourcesLoadedErr();
	}
	
	
	/*function bkPageLoadedForURL(){
    	window.JSInterface.bkPageLoadedForURL();
	}*/
	
	
	function bkTransitionCompleted(){
    	window.JSInterface.bkTransitionCompleted();
	}	
    
    
    function appNativeHomeBack(homeIndex){
    	window.JSInterface.appNativeHomeBack(homeIndex);
	}
	
	function appNativePopup(textString, titleString){
    	window.JSInterface.appNativePopup(textString, titleString);
	}
		
	function appNativeAutotest(){
    	window.JSInterface.appNativeAutotest();
	}
}